Subject: Re: [PATCH 4/4] CodingGuidelines: recommend singular they

From: Junio C Hamano <[email-masked]>
Date: Tue, 08 Jun 2021 09:05:48 +0900

Derrick Stolee <[email-masked]> writes:

> I'll admit that I was trying to be instructive in my commit message
> whenever possible, so specifically chose that option among brian's
> preferred pronouns. If I misinterpreted the purpose of "he/him or
> they/them" then I will absolutely change this instance.
>
> For my part, I did run this message by brian before sending the patch,
> to be sure that my use of the quote was appropriate. (Also, I'm
> purposefully lower-casing "brian m. carlson" to match chosen email
> signatures, but perhaps that is also incorrect?)

I upcased out of habit, even I know his preference is all lowercase,
purely by mistake.  This is talking about a particular person and
using the name that particular person wants to be called with, so
honoring that wish is good regardless of how an unspecified person
should be referred to as, and I should have double checked.